Subject: fast-import bug?

From: Dave Abrahams <[email-masked]>
Date: Fri, 21 Jun 2013 02:21:47 -0700

The docs for fast-import seem to imply that I can use "ls" to get the
SHA1 of a commit for which I have a mark:

       Reading from a named tree
           The <dataref> can be a mark reference (:<idnum>) or the full 40-byte
           SHA-1 of a Git tag, commit, or tree object, preexisting or waiting to
           be written. The path is relative to the top level of the tree named by
           <dataref>.

                       'ls' SP <dataref> SP <path> LF

       See filemodify above for a detailed description of <path>.

       Output uses the same format as git ls-tree <tree> -- <path>:

           <mode> SP ('blob' | 'tree' | 'commit') SP <dataref> HT <path> LF

       The <dataref> represents the blob, tree, or commit object at <path> and
                                                   ^^^^^^
       can be used in later cat-blob, filemodify, or ls commands.

but I can't get it to work.  It's not entirely clear it's supposed to
work.  What path would I pass?  Passing an empty path simply causes git
to report "missing ".

TIA,
Dave

-- 
Dave Abrahams